Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Partition Imaging Utility
Name:      	partimage
Version:   	0.6.6
Release:   	1
License: 	GNU/GPL
URL:		http://www.partimage.org
Group:     	Archiving/Backup
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.6.6-DESTDIR.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	newt-devel >= 0.52.2 slang-devel openssl-devel
Requires:	newt >= 0.52.2

%description
Partition Image is a Linux/UNIX partition imaging utility: it saves all used
blocks in a partition to an image file. This image file can be compressed
using gzip or bzip2 compression to save space, and even split into multiple
files to be copied to movable media such as Zip disks or CD-R.

Partition Images supports the following filesystems:

    ext2fs, ext3fs, fat16, fat32, hfs, hpfs, jfs, ntfs, reiserfs, ufs, xfs
    
Partition Image allows you to back up a full Linux/Windows system with a single
operation. When problems such as viruses, crashes, or other errors occur, you
just have to restore, and after several minutes your system can be restored
(boot record and all your files) and fully working. 

%pre
# Add User/Group only when fresh installed,not for upgrades!
if [ $1 -eq 1 ]; then
    groupadd -g 130 partimag &>/dev/null || :
    useradd -d %_localstatedir/partimaged -s /sbin/nologin -g partimag -u 130 partimag &>/dev/null || :
fi

%post
if [ $1 -eq 1 ]; then
    chown -R partimag:partimag %_localstatedir/partimaged
    if [ -e %_sysconfdir/%{name}/partimaged.key ]; then
	    chown -R partimag:root %_sysconfdir/partimaged/partimaged.key
    fi
    if [ -e %_sysconfdir/%{name}/partimaged.cert ]; then
	    chown -R partimag:root %_sysconfdir/partimaged/partimaged.cert
    fi
    chown -R partimag:root %_sysconfdir/partimaged/partimagedusers
fi
ldconfig


%preun
#Remove User/Group only when removing finally
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel partimag &>/dev/null || :
    /usr/sbin/groupdel partimag &>/dev/null || :
fi

%prep
%setup -n %{name}-%{version}
%patch0 -p0 -b -DESTDIR

%build
./configure --prefix=%_prefix \
--enable-ssl \
--disable-login \
--with-log-dir=%_localstatedir/log \
--mandir=%_mandir \
--infodir=%_infodir \
--docdir=%_docdir/%{name} \
--sysconfdir=%_sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#make certificates DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%_localstatedir/log
touch $RPM_BUILD_ROOT%_localstatedir/log/partimaged.log
install -m 755 -d $RPM_BUILD_ROOT%_localstatedir/partimaged
mkdir -p $RPM_BUILD_ROOT%_mandir/{man1,man5,man8}
cp doc/en/man/*.1 $RPM_BUILD_ROOT%_mandir/man1/
cp doc/en/man/*.5 $RPM_BUILD_ROOT%_mandir/man5/
cp doc/en/man/*.8 $RPM_BUILD_ROOT%_mandir/man8/

%files
%defattr(-,root,root)
#%doc AUTHORS COPYING ChangeLog README README.partimaged TODO partimage.lsm
%_docdir/%{name}
%_sysconfdir
%_sbindir
%_datadir/locale
%_mandir
%defattr(-,partimag,partimag,0755)
%dir %_localstatedir/partimaged/
%ghost %_localstatedir/log/partimaged.log

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 28 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.6.6-1
- Version update
* Mon Sep 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.4-5
- rebuild against latest newt
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.4-4
- added manpages
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.4-3
- tweaked specfile, added DESTDIR, chown, po and doc patch 
* Tue Sep 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.6.4-2
- rebuilt against newt 0.51.6, slang 2.0.4
* Sun Mar 06 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.4-1
- Initial Release
